| dp14txss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions | Variables
xdptxss_hdcp_example.c File Reference

## Overview

This file contains a design example using the XDpTxSs driver in single stream (SST) transport or multi-stream transport (MST) mode and enables HDCP.

Note
  For this example to display output, the user need to implement initialization of the system (DpTxSs_PlatformInit) and after DisplayPort TX subsystem start (XDpTxSs_Start) is complete, implement configuration of the video stream source in order to provide the DisplayPort TX Subsystem HIP input. The functions DpTxSs_PlatformInit and DpTxSs_StreamSrc are declared and are left up to the user implement.

    MODIFICATION HISTORY:

    Ver  Who Date     Changes

    2.00 sha 09/28/15 Initial release.
    4.1  ms  01/23/17 Modified xil_printf statement in main function to
                      ensure that "Successfully ran" and "Failed" strings
                      are available in all examples. This is a fix for
                      CR-965028.

## Functions
u32 | DpTxSs_HdcpExample (u16 DeviceId)
| This function is the main entry point for the HDCP example using the XDpTxSs driver. More...
u32 | DpTxSs_PlatformInit (void)
| This function initialize required platform-specifc peripherals. More...
u32 | DpTxSs_StreamSrc (u8 VerticalSplit)
| This function setup stream source to input DisplayPort TX Subsystem. More...
int | main ()
| This is the main function for XDpTxSs SST/MST example. More...

## Variables
XDpTxSs | DpTxSsInst

## Function Documentation

u32 DpTxSs_HdcpExample | ( | u16 | DeviceId | ) |

This function is the main entry point for the HDCP example using the XDpTxSs driver.

This function will enable HDCP during DisplayPort TX Subsystem set up to work in MST/SST mode.

Parameters

  DeviceId | is the unique device ID of the DisplayPort TX Subsystem core.

Returns
  - XST_SUCCESS if DisplayPort TX Subsystem HDCP enabled successfully.
  - XST_FAILURE, otherwise.

Note
  None.

References XDpTxSs_Config::BaseAddress, DpTxSs_PlatformInit(), DpTxSs_StreamSrc(), XDpTxSs_UsrOpt::MstSupport, XDpTxSs::UsrOpt, XDpTxSs_UsrOpt::VmId, XDpTxSs_CfgInitialize(), XDpTxSs_GetRxCapabilities(), XDpTxSs_IsMstCapable(), XDpTxSs_LookupConfig(), XDpTxSs_SetBpc(), XDpTxSs_SetLaneCount(), XDpTxSs_SetLinkRate(), XDpTxSs_SetTransportMode(), XDpTxSs_SetVidMode(), and XDpTxSs_Start().

Referenced by main().

u32 DpTxSs_PlatformInit | ( | void |  | ) |

This function initialize required platform-specifc peripherals.

Parameters

  None. |

Returns
  - XST_SUCCESS if required peripherals are initialized and configured successfully.
  - XST_FAILURE, otherwise.

Note
  None.

u32 DpTxSs_StreamSrc | ( | u8 | VerticalSplit | ) |

This function setup stream source to input DisplayPort TX Subsystem.

Parameters

  VerticalSplit | specifies whether to split video frame vertically into two different vertical halves. 1 = Vertically split input frame 0 = No vertically split input frame.

Returns
  - XST_SUCCESS if stream source is configured successfully.
  - XST_FAILURE, otherwise.

Note
  None.

int main | ( | void |  | ) |

This is the main function for XDpTxSs SST/MST example.

Parameters

  None. |

Returns
  - XST_SUCCESS if the MST/SST example passed.
  - XST_FAILURE if the MST/SST example was unsuccessful.

Note
  None.

References DpTxSs_HdcpExample().

## Variable Documentation

XDpTxSs DpTxSsInst

    MODIFICATION HISTORY:

    Ver  Who     Date      Changes

    1.00 Nishant 19/12/20 Added support for vck190.Added ReadModifyWrite()
                                                    for writing to vck190 register space.set_vphy() renamed
                                                    to config_phy() and has two parameters for linerate and
                                                    lanecount.